| ghc-6.10.4: The GHC API | Contents | Index

Panic

Synopsis

data GhcException

= PhaseFailed String ExitCode
| Interrupted
| UsageError String
| CmdLineError String
| Panic String
| InstallationError String
| ProgramError String

showGhcException :: GhcException -> String -> String
throwGhcException :: GhcException -> a
handleGhcException :: ExceptionMonad m => (GhcException -> m a) -> m a -> m a
ghcError :: GhcException -> a
progName :: String
pgmError :: String -> a
panic :: String -> a
panicFastInt :: String -> FastInt
assertPanic :: String -> Int -> a
trace
Exception (toException, fromException)
showException :: Exception e => e -> String
try
tryMost :: IO a -> IO (Either SomeException a)
throwTo
installSignalHandlers :: IO ()
interruptTargetThread :: MVar [ThreadId]

Documentation
data GhcException

Constructors

PhaseFailed String ExitCode |
Interrupted |
UsageError String |
CmdLineError String |
Panic String |
InstallationError String |
ProgramError String |

Instances

Eq GhcException
Show GhcException
Typeable GhcException
Exception GhcException

showGhcException :: GhcException -> String -> String
throwGhcException :: GhcException -> a
handleGhcException :: ExceptionMonad m => (GhcException -> m a) -> m a -> m a
ghcError :: GhcException -> a
progName :: String
pgmError :: String -> a
panic :: String -> a
panicFastInt :: String -> FastInt
assertPanic :: String -> Int -> a
trace
Exception (toException, fromException)
showException :: Exception e => e -> String
try
tryMost :: IO a -> IO (Either SomeException a)
tryMost is like try, but passes through Interrupted and Panic exceptions. Used when we want soft failures when reading interface files, for example.
throwTo
installSignalHandlers :: IO ()
interruptTargetThread :: MVar [ThreadId]
Produced by Haddock version 2.4.2